Skip to main content

Create Showcase Resource

API Description

Create a new showcase resource.

Request

URI Parameters

NameInput
orgId
REQUIRED
brandId
REQUIRED
Path Template
POST {url}/api/{version}/orgs/{orgId}/brands/{brandId}/showcases
Path Example
POST {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/showcases

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json

Request Body

NameInput
$.showcaseDetails
REQUIRED
Example Request Body (raw JSON)
{
"showcaseDetails": {
"startDate": "2026-10-01T00:00:00.00Z",
"endDate": "2026-10-10T00:00:00.00Z",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654976"
},
"creativeId": "9467895078742654987"
}
}

Response

201 Created or Error

Response Headers

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 201 Created
apple-request-id: 17203a2c-ef63-461b-b275-c26bc38ed644
content-type: application/json
etag: "8c40872e-ddd4-11ec-802a-cf9cf38fe6fa"
location: /api/v1/orgs/9467895078742654934/brands/9467895078742654921/showcases/9467895078742654903

Response Body

NameOutput
$.orgId
REQUIRED
$.brandId
REQUIRED
$.id
REQUIRED
$.createdDate
REQUIRED
$.updatedDate
REQUIRED
$.state
REQUIRED
$.etag
REQUIRED
$.showcaseDetails
REQUIRED
$.validationReports[]
CONDITIONAL
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654903",
"createdDate": "2026-09-21T00:00:00.00Z",
"updatedDate": "2026-09-21T00:00:00.00Z",
"state": "SUBMITTED",
"etag": "8c40872e-ddd4-11ec-802a-cf9cf38fe6fa",
"showcaseDetails": {
"startDate": "2026-10-01T00:00:00.00Z",
"endDate": "2026-10-10T00:00:00.00Z",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654976"
},
"creativeId": "9467895078742654987"
},
"validationReports": []
}